from pyramid.view import view_config
from ringo.lib.helpers import get_action_routename
from ringo.views.base import update as ringo_update
from efa.model.participant import Participant
from ec.lib.validators import matching_validator_factory


@view_config(route_name=get_action_routename(Participant, 'update'),
             renderer='/default/update.mako',
             permission='update')
def update_(request):
    validators = [matching_validator_factory(request)]
    return ringo_update(request, validators=validators)
